blob: 6e7b380ce68d13f916953e318eac95211cf9893f [file] [log] [blame]
Sean Condonf6af2a52018-08-19 10:43:24 +01001"""
2 Copyright 2018-present Open Networking Foundation
3
4 Licensed under the Apache License, Version 2.0 (the "License");
5 you may not use this file except in compliance with the License.
6 You may obtain a copy of the License at
7
8 http://www.apache.org/licenses/LICENSE-2.0
9
10 Unless required by applicable law or agreed to in writing, software
11 distributed under the License is distributed on an "AS IS" BASIS,
12 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
13 See the License for the specific language governing permissions and
14 limitations under the License.
15"""
16
17"""
18 Rules to build the ONOS GUI 2
19
Sean Condon0c577f62018-11-18 22:40:05 +000020 The GUI2 Angular 7 elements are built here with Angular CLI 'ng'
Sean Condonf6af2a52018-08-19 10:43:24 +010021 Some work is being done in the Bazel community to integrate Bazel and
Sean Condon0c577f62018-11-18 22:40:05 +000022 Angular 7, (Angular Buildtools Convergence -
Sean Condonf6af2a52018-08-19 10:43:24 +010023 https://docs.google.com/document/d/1OlyiUnoTirUj4gecGxJeZBcjHcFr36RvLsvpBl2mxA8/preview)
24 but it is in the very early stages (Aug'18) and not yet fit
25 for production and at present it works as a replacement for Angular CLI
26 (which is not desirable).
27
28 There are plans to extend Bazel it to work with Angular CLI, and if works
29 well this Bazel file may be rearchiteced in future.
30
31 Bazel and npm are incompatibe in how they deal with files. npm likes to
32 follow links to get back to the original canonical path names, and bazel
33 uses links extensively when populating the sandbox. To get around these
34 problems, the rules that follow use filegroups to specify the files as
35 dependencies and then use a genrule to convert the files into a tar ball.
36 Once the tar ball is unrolled into the sandbox, the links are broken, but
37 the build is still hermetic since those files are referred to as dependencies in the genrule.
38"""
39
Carmelo Casconed33d3b42019-06-18 12:12:36 -070040load("//tools/build/bazel:jdk_genrule.bzl", genrule = "jdk_genrule")
41
Sean Condonb2c483c2019-01-16 20:28:55 +000042COMPILE_DEPS = CORE_DEPS + JACKSON + KRYO + CLI + [
Sean Condonf6af2a52018-08-19 10:43:24 +010043 "@javax_ws_rs_api//jar",
44 "@servlet_api//jar",
45 "@jetty_websocket//jar",
Sean Condonb2c483c2019-01-16 20:28:55 +000046 "@jetty_websocket_api//jar",
Sean Condonf6af2a52018-08-19 10:43:24 +010047 "@jetty_util//jar",
48 "@jersey_media_multipart//jar",
49 "@jersey_server//jar",
Ray Milkey427e9752018-11-15 16:34:48 -080050 "@jersey_hk2//jar",
Sean Condonf6af2a52018-08-19 10:43:24 +010051 "//utils/rest:onlab-rest",
52 "//core/store/serializers:onos-core-serializers",
53]
54
55TEST_DEPS = TEST + [
56 "//core/api:onos-api-tests",
57 "//drivers/default:onos-drivers-default",
58]
59
60"""
61 Files that get put at the top level of the tar ball
62"""
63
64filegroup(
65 name = "_root_level_files",
66 srcs =
67 [
68 ":angular.json",
69 ":karma.conf.js",
70 ":package.json",
71 ":package-lock.json",
72 ":protractor.conf.js",
73 ":src/main/tsconfig.json",
74 ":src/main/tslint.json",
75 ":tsconfig.json",
76 ],
77)
78
79filegroup(
80 name = "_e2e_test_files",
81 srcs = [
82 ":e2e/app.e2e-spec.ts",
83 ":e2e/app.po.ts",
84 ":e2e/tsconfig.e2e.json",
85 ],
86)
87
88"""
89 Files that get put into the WEB-INF directory of the tar ball
90"""
91
92filegroup(
93 name = "_web_inf_classes_files",
94 srcs =
95 [
96 ":src/main/webapp/error.html",
97 ":src/main/webapp/login.html",
98 ":src/main/webapp/nav.html",
99 ":src/main/webapp/not-ready.html",
Sean Condon55c30532018-10-29 12:26:57 +0000100 ":src/main/webapp/onos.global.css",
Sean Condonf6af2a52018-08-19 10:43:24 +0100101 ],
102)
103
104"""
Sean Condonf6af2a52018-08-19 10:43:24 +0100105 Run ng build to create outputs in production mode
Sean Condon53d4e832019-10-25 12:27:54 +0100106 See bazel-out/k8-fastbuild/bin/web/gui2/onos-gui2-ng-build-prod.log for details of the Angular CLI output
Sean Condon5ca00262018-09-06 17:55:25 +0100107
108 To avoid the overhead of having several "npm install" invocations, we just do
Sean Condon0c577f62018-11-18 22:40:05 +0000109 it once in the //web/gui2-fw-lib which is really the core for the whole Angular 7
Sean Condon5ca00262018-09-06 17:55:25 +0100110 structure in ONOS. This copies files in to node_modules, but because the gui2-fw-lib
111 has not been generated at that time we copy it in separately below with the 'tar' cmd
112 and then 'mv'
Sean Condonf6af2a52018-08-19 10:43:24 +0100113"""
114
115genrule(
116 name = "_onos-gui2-ng-build",
117 srcs = [
118 "@nodejs//:bin/npm",
119 "@nodejs//:bin/node",
Sean Condonf6af2a52018-08-19 10:43:24 +0100120 "@nodejs//:bin/nodejs/bin/node",
121 "@nodejs//:bin/nodejs/bin/npm",
Sean Condon5ca00262018-09-06 17:55:25 +0100122 "//web/gui2-fw-lib:onos-gui2-fw-npm-install",
123 "//web/gui2-fw-lib:onos-gui2-fw-ng-build",
124 "//web/gui2-fw-lib:gui2_fw_lib_ext_css",
Sean Condonff85fbe2019-03-16 14:28:46 +0000125 "//web/gui2-topo-lib:gui2-topo-lib-build",
Sean Condon87b78502018-09-17 20:53:24 +0100126 "//apps/faultmanagement/fm-gui2-lib:fm-gui2-lib-build",
Davide Scanob5ade982020-06-03 21:47:13 +0200127 "//apps/inbandtelemetry/int-gui2-lib:int-gui2-lib-build",
Sean Condon5ca00262018-09-06 17:55:25 +0100128 ":_root_level_files",
Sean Condonf6af2a52018-08-19 10:43:24 +0100129 ":_web_app_all",
Boyuan Yan6b23b382019-06-04 11:59:35 -0700130 "//apps/roadm/web/roadm-gui:roadm-gui-lib-build",
Sean Condonf6af2a52018-08-19 10:43:24 +0100131 ],
132 outs = [
133 "onos-gui2-ng-build-prod.log",
134 "onos-gui2-ng-build.jar",
135 ],
136 cmd = "ROOT=`pwd` &&" +
137 " export HOME=. &&" +
138 " export XDG_CONFIG_HOME=$(@D)/config &&" +
139 " NODE=$(location @nodejs//:bin/node) &&" +
Sean Condon5ca00262018-09-06 17:55:25 +0100140 " INSTALL_FILES=($(locations //web/gui2-fw-lib:onos-gui2-fw-npm-install)) &&" + # An array of filenames - sorted by time created
141 " FWLIB_FILES=($(locations //web/gui2-fw-lib:onos-gui2-fw-ng-build)) &&" + # An array of filenames - sorted by time created
Sean Condonf6af2a52018-08-19 10:43:24 +0100142 " mkdir -p web/gui2 && cd web/gui2 &&" +
143 " jar xf ../../$(location :_web_app_all) &&" +
144 " jar xf $$ROOT/$${INSTALL_FILES[0]} &&" +
Sean Condon5ca00262018-09-06 17:55:25 +0100145 " tar xf $$ROOT/$${FWLIB_FILES[0]} &&" +
146 " mv package/ node_modules/gui2-fw-lib/ &&" +
Sean Condon87b78502018-09-17 20:53:24 +0100147 # Add in modules from external packages
Sean Condonff85fbe2019-03-16 14:28:46 +0000148 " GUI2_TOPO_LIB_FILES=($(locations //web/gui2-topo-lib:gui2-topo-lib-build)) &&" + # An array of filenames - sorted by time created
149 " tar xf $$ROOT/$${GUI2_TOPO_LIB_FILES[0]} &&" +
150 " mv package/ node_modules/gui2-topo-lib/ &&" +
Sean Condon87b78502018-09-17 20:53:24 +0100151 " FM_GUI2_LIB_FILES=($(locations //apps/faultmanagement/fm-gui2-lib:fm-gui2-lib-build)) &&" + # An array of filenames - sorted by time created
152 " tar xf $$ROOT/$${FM_GUI2_LIB_FILES[0]} &&" +
153 " mv package/ node_modules/fm-gui2-lib/ &&" +
Boyuan Yan6b23b382019-06-04 11:59:35 -0700154 " ROADM_GUI_LIB_FILES=($(locations //apps/roadm/web/roadm-gui:roadm-gui-lib-build)) &&" + # An array of filenames - sorted by time created
155 " tar xf $$ROOT/$${ROADM_GUI_LIB_FILES[0]} &&" +
156 " mv package/ node_modules/roadm-gui-lib/ &&" +
Davide Scanob5ade982020-06-03 21:47:13 +0200157 " INT_GUI2_LIB_FILES=($(locations //apps/inbandtelemetry/int-gui2-lib:int-gui2-lib-build)) &&" + # An array of filenames - sorted by time created
158 " tar xf $$ROOT/$${INT_GUI2_LIB_FILES[0]} &&" +
159 " mv package/ node_modules/int-gui2-lib/ &&" +
Sean Condon87b78502018-09-17 20:53:24 +0100160 # End of add in modules from external packages
Sean Condon5ca00262018-09-06 17:55:25 +0100161 " mkdir -p src/main/webapp/app/fw &&" +
162 " (cd src/main/webapp/app/fw &&" +
163 " jar xf $$ROOT/$(location //web/gui2-fw-lib:gui2_fw_lib_ext_css)) &&" +
Sean Condonf6af2a52018-08-19 10:43:24 +0100164 " chmod +x $$ROOT/web/gui2/node_modules/@angular/cli/bin/ng &&" +
Thomas Vachuska0c19e652018-08-28 10:57:07 -0700165 " export PATH=$$ROOT/$$(dirname $${NODE}):$$ROOT/web/gui2/node_modules/@angular/cli/bin:$$PATH &&" +
Sean Condonf6af2a52018-08-19 10:43:24 +0100166 " node -v > ../../$(location onos-gui2-ng-build-prod.log) &&" +
167 " npm -v >> ../../$(location onos-gui2-ng-build-prod.log) &&" +
Sean Condon0c577f62018-11-18 22:40:05 +0000168 " ng version >> ../../$(location onos-gui2-ng-build-prod.log) &&" +
169 " ng build --extract-css --prod --preserve-symlinks" +
Sean Condonbf7ff4f2019-03-17 16:18:42 +0000170 " --base-href /onos/ui/ --deploy-url /onos/ui/ >> $$ROOT/$(location onos-gui2-ng-build-prod.log) 2>&1 ||" +
Sean Condon87b78502018-09-17 20:53:24 +0100171 " if [ $$? -eq 0 ]; then echo 'Successfully ran build';" +
172 " else " +
173 " echo 'Error running \'ng build\' on \'//web/gui2:_onos-gui2-ng-build\'. \\\n" +
Sean Condon53d4e832019-10-25 12:27:54 +0100174 " See bazel-out/k8-fastbuild/bin/web/gui2/onos-gui2-ng-build-prod.log for more details' >&2;" +
Sean Condon87b78502018-09-17 20:53:24 +0100175 #" tail -n 100 ../../$(location onos-gui2-ng-test.log) >&2;" +
176 " exit 1;" +
177 " fi;" +
Sean Condon95fb5742019-04-02 12:16:55 +0100178 " cp -r node_modules/gui2-fw-lib/assets src/main/webapp/dist &&" +
179 " cd src/main/webapp/dist &&" +
180 " jar Mcf $$ROOT/$(location onos-gui2-ng-build.jar) .",
Sean Condon0c577f62018-11-18 22:40:05 +0000181 message = "Angular CLI 7 build",
Sean Condonf6af2a52018-08-19 10:43:24 +0100182)
183
184"""
185 Run 'ng test' to run Angular test and 'ng lint' for checkstyle
Sean Condon53d4e832019-10-25 12:27:54 +0100186 See bazel-out/k8-fastbuild/bin/web/gui2/onos-gui2-ng-lint.log or
187 bazel-out/k8-fastbuild/bin/web/gui2/onos-gui2-ng-test.log for details of the Angular CLI output
Sean Condonf6af2a52018-08-19 10:43:24 +0100188"""
189
190genrule(
191 name = "_onos-gui2-ng-test-genrule",
192 srcs = [
193 "@nodejs//:bin/npm",
194 "@nodejs//:bin/node",
Sean Condonf6af2a52018-08-19 10:43:24 +0100195 "@nodejs//:bin/nodejs/bin/node",
196 "@nodejs//:bin/nodejs/bin/npm",
Sean Condon5ca00262018-09-06 17:55:25 +0100197 "//web/gui2-fw-lib:onos-gui2-fw-npm-install",
198 "//web/gui2-fw-lib:onos-gui2-fw-ng-build",
199 "//web/gui2-fw-lib:gui2_fw_lib_ext_css",
Sean Condonf6af2a52018-08-19 10:43:24 +0100200 ":_web_app_all",
201 ":_web_app_tests",
202 ":_angular_all",
203 ],
204 outs = [
205 "onos-gui2-ng-ver.log",
206 "onos-gui2-ng-lint.log",
207 "onos-gui2-ng-test.log",
208 ],
209 cmd = " ROOT=`pwd` &&" +
210 " export HOME=. &&" +
211 " export XDG_CONFIG_HOME=$(@D)/config &&" +
212 " NODE=$(location @nodejs//:bin/node) &&" +
Sean Condon5ca00262018-09-06 17:55:25 +0100213 " INSTALL_FILES=($(locations //web/gui2-fw-lib:onos-gui2-fw-npm-install)) &&" + # An array of filenames - sorted by time created
214 " FWLIB_FILES=($(locations //web/gui2-fw-lib:onos-gui2-fw-ng-build)) &&" + # An array of filenames - sorted by time created
Sean Condonf6af2a52018-08-19 10:43:24 +0100215 " mkdir -p web/gui2 &&" +
216 " cd web/gui2 &&" +
217 " jar xf ../../$(location :_angular_all) &&" +
218 " jar xf ../../$(location :_web_app_all) &&" +
219 " jar xf ../../$(location :_web_app_tests) &&" +
220 " jar xf $$ROOT/$${INSTALL_FILES[0]} &&" +
Sean Condon5ca00262018-09-06 17:55:25 +0100221 " tar xf $$ROOT/$${FWLIB_FILES[0]} &&" +
222 " mv package/ node_modules/gui2-fw-lib/ &&" +
223 " mkdir -p src/main/webapp/app/fw &&" +
224 " (cd src/main/webapp/app/fw &&" +
225 " jar xf $$ROOT/$(location //web/gui2-fw-lib:gui2_fw_lib_ext_css)) &&" +
Sean Condonf6af2a52018-08-19 10:43:24 +0100226 " chmod +x $$ROOT/web/gui2/node_modules/@angular/cli/bin/ng &&" +
Thomas Vachuska0c19e652018-08-28 10:57:07 -0700227 " export PATH=$$ROOT/$$(dirname $${NODE}):$$ROOT/web/gui2/node_modules/@angular/cli/bin:$$PATH &&" +
Sean Condonf6af2a52018-08-19 10:43:24 +0100228 " node -v > ../../$(location onos-gui2-ng-ver.log) &&" +
229 " npm -v >> ../../$(location onos-gui2-ng-ver.log) &&" +
Sean Condon50855cf2018-12-23 15:37:42 +0000230 " ng version >> ../../$(location onos-gui2-ng-ver.log);" +
231 " ng lint > ../../$(location onos-gui2-ng-lint.log) 2>&1 ||" +
232 " if [ $$? -eq 0 ]; then echo 'Successfully ran lint';" +
233 " else " +
234 " echo 'Error running \'ng lint\' on \'//web/gui2:onos-gui2-ng-test\'. \\\n" +
Sean Condon53d4e832019-10-25 12:27:54 +0100235 " See bazel-out/k8-fastbuild/bin/web/gui2/onos-gui2-ng-lint.log for details' >&2;" +
236 " cat ../../$(location onos-gui2-ng-lint.log) >&2 ||" +
Sean Condon50855cf2018-12-23 15:37:42 +0000237 " exit 1;" +
238 " fi;" +
Sean Condonf6af2a52018-08-19 10:43:24 +0100239 " if [ -f /usr/bin/chromium-browser ]; then " + # Add to this for Mac and Chrome
240 " export CHROME_BIN=/usr/bin/chromium-browser; " +
241 " elif [ -f /opt/google/chrome/chrome ]; then " +
242 " export CHROME_BIN=/opt/google/chrome/chrome; " +
243 " else " +
244 " MSG='Warning: Step onos-gui2-ng-test skipped because \\n" +
245 " no binary for ChromeHeadless browser was found at /usr/bin/chromium-browser. \\n" +
246 " Install Google Chrome or Chromium Browser to allow this step to run.';" +
247 " echo -e $$MSG >&2;" +
248 " echo -e $$MSG > ../../$(location onos-gui2-ng-test.log);" +
249 " exit 0;" +
250 " fi;" +
251 " ng test --preserve-symlinks --code-coverage --browsers=ChromeHeadless" +
252 " --watch=false > ../../$(location onos-gui2-ng-test.log) 2>&1 ||" +
253 " if [ $$? -eq 0 ]; then echo 'Successfully ran tests';" +
254 " else " +
255 " echo 'Error running \'ng test\' on \'//web/gui2:onos-gui2-ng-test\'. \\\n" +
Sean Condon53d4e832019-10-25 12:27:54 +0100256 " See bazel-out/k8-fastbuild/bin/web/gui2/onos-gui2-ng-test.log for more details' >&2;" +
Sean Condonf6af2a52018-08-19 10:43:24 +0100257 #" tail -n 100 ../../$(location onos-gui2-ng-test.log) >&2;" +
258 " exit 1;" +
259 " fi;",
Sean Condon0c577f62018-11-18 22:40:05 +0000260 message = "Angular CLI 7 lint and test",
Sean Condonf6af2a52018-08-19 10:43:24 +0100261)
262
263"""
264 Make a jar file of all the webapp files. Useful for breaking symblic links in the sandbox
265"""
266
267genrule(
268 name = "_web_app_all",
269 srcs = glob(
270 [
271 "src/main/webapp/**",
272 ],
273 exclude = [
274 "src/main/webapp/**/*.spec.ts", # Don't track tests here
275 "src/main/webapp/tests/**",
276 "src/main/webapp/node_modules/**",
277 "src/main/webapp/dist/**",
278 "src/main/webapp/doc/**",
Sean Condon87b78502018-09-17 20:53:24 +0100279 "src/main/webapp/app/fw/**",
Sean Condonf6af2a52018-08-19 10:43:24 +0100280 ],
281 ),
282 outs = ["web_app_all.jar"],
283 cmd = "cd web/gui2 &&" +
284 " find src/main/webapp -type f -exec touch -t 201808280000 {} \; &&" +
285 " jar Mcf ../../$@ src/main/webapp",
286)
287
288"""
289 Make a jar file of all the webapp test (*.spec.ts) files.
290"""
291
292genrule(
293 name = "_web_app_tests",
294 srcs = glob(
295 [
296 "src/main/webapp/**/*.spec.ts",
297 ],
298 exclude = [
299 "src/main/webapp/tests/**",
300 "src/main/webapp/node_modules/**",
301 "src/main/webapp/dist/**",
302 "src/main/webapp/doc/**",
303 ],
304 ),
305 outs = ["web_app_tests.jar"],
306 cmd = "cd web/gui2 &&" +
307 " find src/main/webapp -type f -exec touch -t 201808280000 {} \; &&" +
308 " jar Mcf ../../$@ src/main/webapp",
309)
310
311"""
312 Make a jar file of all the supporting files. Useful for breaking symblic links in the sandbox
313"""
314
315genrule(
316 name = "_angular_all",
317 srcs = [
318 ":_e2e_test_files",
319 ":_root_level_files",
320 ],
321 outs = ["angular_all.jar"],
322 cmd = " cd web/gui2 && jar Mcf ../../$@ .",
323)
324
325"""
326 Builds the java jar for the java code provided by the GUI2
327"""
328
329osgi_jar_with_tests(
330 name = "_onos-gui2-base-jar",
Sean Condon87b78502018-09-17 20:53:24 +0100331 srcs =
332 glob([
333 "src/main/java/**",
334 ]) + [
335 "//web/gui:onos-gui-java-for-gui2",
336 ],
Sean Condonb2c483c2019-01-16 20:28:55 +0000337 exclude_tests = [
338 "org.onosproject.ui.impl.AbstractUiImplTest",
339 "org.onosproject.ui.impl.topo.model.AbstractTopoModelTest",
340 ],
341 karaf_command_packages = [
342 "org.onosproject.ui.impl.cli",
343 "org.onosproject.ui.impl.topo",
344 ],
Sean Condon3c8e5582018-08-28 23:22:43 +0100345 suppress_checkstyle = True,
Sean Condonf6af2a52018-08-19 10:43:24 +0100346 test_deps = TEST_DEPS,
Sean Condonbf7ff4f2019-03-17 16:18:42 +0000347 web_context = "/onos/ui",
Sean Condonf6af2a52018-08-19 10:43:24 +0100348 deps = COMPILE_DEPS,
349)
350
351"""
352 Builds the tar ball for the ONOS GUI2
353"""
354
355genrule(
Sean Condonbf7ff4f2019-03-17 16:18:42 +0000356 name = "onos-web-gui2",
Sean Condonf6af2a52018-08-19 10:43:24 +0100357 srcs = [
358 ":_onos-gui2-ng-build",
359 ":_onos-gui2-base-jar",
360 ":_web_inf_classes_files",
Sean Condonb2c483c2019-01-16 20:28:55 +0000361 "//web/gui:onos-gui-lion-for-gui2",
Sean Condon0d064ec2019-02-04 21:53:53 +0000362 "//web/gui:onos-gui-data-for-gui2",
Sean Condon3c8e5582018-08-28 23:22:43 +0100363 "src/main/webapp/WEB-INF/web.xml",
Sean Condonf6af2a52018-08-19 10:43:24 +0100364 ],
365 outs = ["onos-gui2.jar"],
366 cmd = " ROOT=`pwd` &&" +
367 " mkdir -p web/gui2/WEB-INF/classes &&" +
368 " cd web/gui2 &&" +
369 " BUILD_FILES=($(locations :_onos-gui2-ng-build)) &&" + # An array of filenames - sorted by time created
370 " for i in $(locations :_web_inf_classes_files); do cp $$ROOT/$$i ./WEB-INF/classes/; done &&" +
371 " (cd WEB-INF/classes && jar xf $$ROOT/$${BUILD_FILES[1]}) &&" +
372 " jar xf $$ROOT/$(location :_onos-gui2-base-jar) &&" +
Sean Condonb2c483c2019-01-16 20:28:55 +0000373 " unzip -q $$ROOT/$(location //web/gui:onos-gui-lion-for-gui2) web/gui/src/main/resources/**/* &&" +
374 " mv web/gui/src/main/resources/org/onosproject/ui/lion* WEB-INF/classes/org/onosproject/ui/ &&" +
375 " mv web/gui/src/main/resources/core WEB-INF/classes/ &&" +
Sean Condon0d064ec2019-02-04 21:53:53 +0000376 " unzip -q $$ROOT/$(location //web/gui:onos-gui-data-for-gui2) web/gui/src/main/webapp/data/**/* &&" +
377 " mv web/gui/src/main/webapp/data WEB-INF/classes/ &&" +
Sean Condon95fb5742019-04-02 12:16:55 +0100378 " find . -type f -exec touch -t 201903200000 {} \; &&" +
Sean Condonb2c483c2019-01-16 20:28:55 +0000379 " jar cmf META-INF/MANIFEST.MF $$ROOT/$@ WEB-INF/web.xml WEB-INF/classes OSGI-INF/*.xml",
Sean Condonf6af2a52018-08-19 10:43:24 +0100380 output_to_bindir = 1,
381 visibility = ["//visibility:public"],
382)
383
384"""
385 Wrap the genrule for testing in a test
386"""
387
388sh_test(
389 name = "onos-gui2-ng-tests",
390 size = "small",
391 srcs = [
392 ":ng-test.sh",
393 ],
394 data = [
395 ":_onos-gui2-ng-test-genrule",
396 ],
397 deps = [
398 "@bazel_tools//tools/bash/runfiles",
399 ],
400)
Sean Condonbf7ff4f2019-03-17 16:18:42 +0000401
402onos_app(
403 category = "Graphical User Interface",
404 description = "ONOS GUI2 - a reengineered version of the original ONOS GUI " +
405 "based on the latest Angular framework components",
406 title = "ONOS GUI2",
407 url = "http://onosproject.org",
408)